

@#define thetabgov=["t"]
@#define phicrho=["phi"]
@#define thetaSGP=["t"]
@#define finsest=["t"]
@#define fincycle= ["t"]



estimated_params;
% PARAM NAME, INITVAL, LB, UB, PRIOR_SHAPE, PRIOR_P1, PRIOR_P2, PRIOR_P3, PRIOR_P4, JSCALE
% PRIOR_SHAPE: BETA_PDF, GAMMA_PDF, NORMAL_PDF, INV_GAMMA_PDF
stderr ea,(sd_ea),0.01,3,INV_GAMMA_PDF,0.1,2;
stderr eb,(sd_eb),0.025,5,INV_GAMMA_PDF,0.1,2;
stderr eg,(sd_eg),0.01,3,INV_GAMMA_PDF,0.1,2;
stderr eqs,(sd_eqs),0.01,3,INV_GAMMA_PDF,0.1,2;
stderr em,(sd_em),0.01,3,INV_GAMMA_PDF,0.1,2;
stderr epinf,(sd_epinf),0.01,3,INV_GAMMA_PDF,0.1,2;
stderr ew,(sd_ew),0.01,3,INV_GAMMA_PDF,0.1,2;

@#if DUM_PIOBJ || DUM_PIOBJOBS
    @#if DUM_PIOBJ_UR
        crhopiobj,(crhopiobj),0.01,1,BETA_PDF,0.5,0.2;
        stderr epiobj,(sd_epiobj),0.0001,0.1,INV_GAMMA_PDF,0.005,2;
    @#else    
        stderr epiobj,(sd_epiobj),0.0001,0.1,INV_GAMMA_PDF,0.05,0.025;
    @#endif
@#endif


stderr et,(sd_et),     0.01,3,INV_GAMMA_PDF,0.1,2;



@#if DUM_OIS
    @#for h in OIShorizon
          stderr em_@{h}, (sd_em_@{h}),.000001,3.0,INV_GAMMA_PDF,0.1,2;
          crhoms_@{h},(crhoms_@{h}),.0000001,.9999,BETA_PDF,0.5,0.20;      
    @#endfor
@#endif

crhoa,(crhoa) ,.01,.9999,BETA_PDF,0.5,0.20;
@#define DUM_crhob=1-DUM_nocrhob
@#if DUM_crhob
    crhob,(crhob),.01,.9999,BETA_PDF,0.5,0.20;
@#endif
crhog,(crhog),.01,.9999,BETA_PDF,0.5,0.20;
crhoqs,(crhoqs),.01,.9999,BETA_PDF,0.5,0.20;
crhoms,(crhoms),.01,.9999,BETA_PDF,0.5,0.20;
crhopinf,(crhopinf),.01,.9999,BETA_PDF,0.5,0.20;
crhow,(crhow),.001,.9999,BETA_PDF,0.5,0.20;
cmap,(cmap),0.00001,.9999,BETA_PDF,0.5,0.2;
cmaw,(cmaw),0.00001,.9999,BETA_PDF,0.5,0.2;


@#for k_phicrho in phicrho
        @#for j in finsest
            @{ k_phicrho }@{ j },(@{ k_phicrho }@{ j }),.01,.9999,BETA_PDF,0.5,0.2;

        @#endfor 
@#endfor 



crhot, (crhot), .01,.9999,BETA_PDF,0.5,0.15;


    @#for j in thetabgov
        cthetabgov@{ j },(cthetabgov@{ j }), 0.0001,2.0,GAMMA_PDF,0.5,0.15;
    @#endfor


    @#for j in fincycle
         cthetay@{ j },(cthetay@{ j }), -2,2.0,NORMAL_PDF,0,0.2;
    @#endfor





csadjcost,(csadjcost),2,15,NORMAL_PDF,4,1.5;
//csigma,(csigma),0.25,3,NORMAL_PDF,1.50,0.2;  %Different from SW (tighter)
chabb,(chabb),0.001,0.99,BETA_PDF,0.7,0.1;
cprobw,(cprobw),0.3,0.95,BETA_PDF,0.5,0.1;
//csigl,(csigl),0.25,10,NORMAL_PDF,2,0.25;       %Different from SW (tighter)
cprobp,(cprobp),0.5,0.95,BETA_PDF,0.5,0.10;
cindw,(cindw),0.01,0.99,BETA_PDF,0.5,0.15;
cindp,(cindp),0.01,0.99,BETA_PDF,0.5,0.15;
czcap,(czcap),0.01,1,BETA_PDF,0.5,0.15;
cfc,(cfc),1.0,3,NORMAL_PDF,1.25,0.125;
crpi,(crpi),1.0,3,NORMAL_PDF,1.5,0.25;
crr,(crr),0.5,0.975,BETA_PDF,0.75,0.10;
cry,(cry),0.001,0.5,NORMAL_PDF,0.125,0.05;
crdy,(crdy),0.001,0.5,NORMAL_PDF,0.125,0.05;



@#if DUM_ctrendw
   ctrendw,	 (ctrendw) ,0.01       ,0.7        ,	normal_pdf	,	0.188,	0.02;
@#endif

constelab,(constelab),-10.0,10.0,NORMAL_PDF,0.0,2.0;	
cgy,(cgy),0.01,2.0,NORMAL_PDF,0.5,0.25;
calvoempl,(calvoempl),0.1,0.95,beta_pdf,0.5,0.2;
@#if DUM_est_csigmab
    csigmab,(csigmab),0.01,3,NORMAL_PDF,0.4,0.05;
@#endif

@#if DUM_est_csigmaK
    csigmaK,(csigmaK),0.01,3,NORMAL_PDF,1,0.375;
@#endif


end;





