function [nzij_pred, nzij_current, nzij_fwrd] = dynamic_g1_nz()
% Returns the coordinates of non-zero elements in the Jacobian, in column-major order, for each lead/lag (only for endogenous)
  nzij_pred = zeros(96, 2, 'int32');
  nzij_pred(1,1)=55; nzij_pred(1,2)=10;
  nzij_pred(2,1)=57; nzij_pred(2,2)=10;
  nzij_pred(3,1)=58; nzij_pred(3,2)=10;
  nzij_pred(4,1)=60; nzij_pred(4,2)=15;
  nzij_pred(5,1)=61; nzij_pred(5,2)=16;
  nzij_pred(6,1)=62; nzij_pred(6,2)=17;
  nzij_pred(7,1)=63; nzij_pred(7,2)=18;
  nzij_pred(8,1)=64; nzij_pred(8,2)=19;
  nzij_pred(9,1)=65; nzij_pred(9,2)=20;
  nzij_pred(10,1)=67; nzij_pred(10,2)=21;
  nzij_pred(11,1)=67; nzij_pred(11,2)=22;
  nzij_pred(12,1)=65; nzij_pred(12,2)=23;
  nzij_pred(13,1)=55; nzij_pred(13,2)=24;
  nzij_pred(14,1)=56; nzij_pred(14,2)=24;
  nzij_pred(15,1)=58; nzij_pred(15,2)=24;
  nzij_pred(16,1)=148; nzij_pred(16,2)=24;
  nzij_pred(17,1)=55; nzij_pred(17,2)=26;
  nzij_pred(18,1)=94; nzij_pred(18,2)=26;
  nzij_pred(19,1)=47; nzij_pred(19,2)=27;
  nzij_pred(20,1)=54; nzij_pred(20,2)=27;
  nzij_pred(21,1)=95; nzij_pred(21,2)=27;
  nzij_pred(22,1)=39; nzij_pred(22,2)=28;
  nzij_pred(23,1)=96; nzij_pred(23,2)=28;
  nzij_pred(24,1)=51; nzij_pred(24,2)=30;
  nzij_pred(25,1)=52; nzij_pred(25,2)=30;
  nzij_pred(26,1)=91; nzij_pred(26,2)=30;
  nzij_pred(27,1)=149; nzij_pred(27,2)=30;
  nzij_pred(28,1)=52; nzij_pred(28,2)=31;
  nzij_pred(29,1)=99; nzij_pred(29,2)=31;
  nzij_pred(30,1)=37; nzij_pred(30,2)=38;
  nzij_pred(31,1)=42; nzij_pred(31,2)=38;
  nzij_pred(32,1)=70; nzij_pred(32,2)=38;
  nzij_pred(33,1)=100; nzij_pred(33,2)=41;
  nzij_pred(34,1)=55; nzij_pred(34,2)=43;
  nzij_pred(35,1)=46; nzij_pred(35,2)=47;
  nzij_pred(36,1)=71; nzij_pred(36,2)=47;
  nzij_pred(37,1)=72; nzij_pred(37,2)=51;
  nzij_pred(38,1)=78; nzij_pred(38,2)=53;
  nzij_pred(39,1)=82; nzij_pred(39,2)=55;
  nzij_pred(40,1)=99; nzij_pred(40,2)=56;
  nzij_pred(41,1)=84; nzij_pred(41,2)=57;
  nzij_pred(42,1)=80; nzij_pred(42,2)=59;
  nzij_pred(43,1)=76; nzij_pred(43,2)=62;
  nzij_pred(44,1)=74; nzij_pred(44,2)=64;
  nzij_pred(45,1)=71; nzij_pred(45,2)=66;
  nzij_pred(46,1)=72; nzij_pred(46,2)=66;
  nzij_pred(47,1)=74; nzij_pred(47,2)=66;
  nzij_pred(48,1)=76; nzij_pred(48,2)=66;
  nzij_pred(49,1)=78; nzij_pred(49,2)=66;
  nzij_pred(50,1)=80; nzij_pred(50,2)=66;
  nzij_pred(51,1)=82; nzij_pred(51,2)=66;
  nzij_pred(52,1)=84; nzij_pred(52,2)=66;
  nzij_pred(53,1)=107; nzij_pred(53,2)=66;
  nzij_pred(54,1)=89; nzij_pred(54,2)=70;
  nzij_pred(55,1)=10; nzij_pred(55,2)=71;
  nzij_pred(56,1)=16; nzij_pred(56,2)=71;
  nzij_pred(57,1)=16; nzij_pred(57,2)=74;
  nzij_pred(58,1)=17; nzij_pred(58,2)=74;
  nzij_pred(59,1)=19; nzij_pred(59,2)=74;
  nzij_pred(60,1)=21; nzij_pred(60,2)=74;
  nzij_pred(61,1)=23; nzij_pred(61,2)=74;
  nzij_pred(62,1)=25; nzij_pred(62,2)=74;
  nzij_pred(63,1)=27; nzij_pred(63,2)=74;
  nzij_pred(64,1)=29; nzij_pred(64,2)=74;
  nzij_pred(65,1)=21; nzij_pred(65,2)=77;
  nzij_pred(66,1)=5; nzij_pred(66,2)=83;
  nzij_pred(67,1)=14; nzij_pred(67,2)=83;
  nzij_pred(68,1)=15; nzij_pred(68,2)=83;
  nzij_pred(69,1)=7; nzij_pred(69,2)=85;
  nzij_pred(70,1)=13; nzij_pred(70,2)=85;
  nzij_pred(71,1)=40; nzij_pred(71,2)=87;
  nzij_pred(72,1)=55; nzij_pred(72,2)=88;
  nzij_pred(73,1)=17; nzij_pred(73,2)=93;
  nzij_pred(74,1)=19; nzij_pred(74,2)=95;
  nzij_pred(75,1)=23; nzij_pred(75,2)=97;
  nzij_pred(76,1)=29; nzij_pred(76,2)=99;
  nzij_pred(77,1)=25; nzij_pred(77,2)=101;
  nzij_pred(78,1)=27; nzij_pred(78,2)=103;
  nzij_pred(79,1)=56; nzij_pred(79,2)=148;
  nzij_pred(80,1)=91; nzij_pred(80,2)=149;
  nzij_pred(81,1)=150; nzij_pred(81,2)=149;
  nzij_pred(82,1)=91; nzij_pred(82,2)=150;
  nzij_pred(83,1)=17; nzij_pred(83,2)=151;
  nzij_pred(84,1)=72; nzij_pred(84,2)=151;
  nzij_pred(85,1)=19; nzij_pred(85,2)=152;
  nzij_pred(86,1)=74; nzij_pred(86,2)=152;
  nzij_pred(87,1)=21; nzij_pred(87,2)=153;
  nzij_pred(88,1)=76; nzij_pred(88,2)=153;
  nzij_pred(89,1)=23; nzij_pred(89,2)=154;
  nzij_pred(90,1)=78; nzij_pred(90,2)=154;
  nzij_pred(91,1)=25; nzij_pred(91,2)=155;
  nzij_pred(92,1)=80; nzij_pred(92,2)=155;
  nzij_pred(93,1)=27; nzij_pred(93,2)=156;
  nzij_pred(94,1)=82; nzij_pred(94,2)=156;
  nzij_pred(95,1)=29; nzij_pred(95,2)=157;
  nzij_pred(96,1)=84; nzij_pred(96,2)=157;
  nzij_current = zeros(360, 2, 'int32');
  nzij_current(1,1)=101; nzij_current(1,2)=1;
  nzij_current(2,1)=98; nzij_current(2,2)=2;
  nzij_current(3,1)=97; nzij_current(3,2)=3;
  nzij_current(4,1)=94; nzij_current(4,2)=4;
  nzij_current(5,1)=107; nzij_current(5,2)=5;
  nzij_current(6,1)=108; nzij_current(6,2)=6;
  nzij_current(7,1)=95; nzij_current(7,2)=7;
  nzij_current(8,1)=96; nzij_current(8,2)=8;
  nzij_current(9,1)=99; nzij_current(9,2)=9;
  nzij_current(10,1)=57; nzij_current(10,2)=10;
  nzij_current(11,1)=59; nzij_current(11,2)=11;
  nzij_current(12,1)=103; nzij_current(12,2)=12;
  nzij_current(13,1)=102; nzij_current(13,2)=13;
  nzij_current(14,1)=58; nzij_current(14,2)=14;
  nzij_current(15,1)=2; nzij_current(15,2)=15;
  nzij_current(16,1)=12; nzij_current(16,2)=15;
  nzij_current(17,1)=34; nzij_current(17,2)=15;
  nzij_current(18,1)=50; nzij_current(18,2)=15;
  nzij_current(19,1)=60; nzij_current(19,2)=15;
  nzij_current(20,1)=6; nzij_current(20,2)=16;
  nzij_current(21,1)=8; nzij_current(21,2)=16;
  nzij_current(22,1)=9; nzij_current(22,2)=16;
  nzij_current(23,1)=43; nzij_current(23,2)=16;
  nzij_current(24,1)=44; nzij_current(24,2)=16;
  nzij_current(25,1)=45; nzij_current(25,2)=16;
  nzij_current(26,1)=61; nzij_current(26,2)=16;
  nzij_current(27,1)=11; nzij_current(27,2)=17;
  nzij_current(28,1)=48; nzij_current(28,2)=17;
  nzij_current(29,1)=49; nzij_current(29,2)=17;
  nzij_current(30,1)=62; nzij_current(30,2)=17;
  nzij_current(31,1)=14; nzij_current(31,2)=18;
  nzij_current(32,1)=39; nzij_current(32,2)=18;
  nzij_current(33,1)=40; nzij_current(33,2)=18;
  nzij_current(34,1)=42; nzij_current(34,2)=18;
  nzij_current(35,1)=63; nzij_current(35,2)=18;
  nzij_current(36,1)=55; nzij_current(36,2)=19;
  nzij_current(37,1)=58; nzij_current(37,2)=19;
  nzij_current(38,1)=64; nzij_current(38,2)=19;
  nzij_current(39,1)=51; nzij_current(39,2)=20;
  nzij_current(40,1)=65; nzij_current(40,2)=20;
  nzij_current(41,1)=52; nzij_current(41,2)=21;
  nzij_current(42,1)=67; nzij_current(42,2)=21;
  nzij_current(43,1)=67; nzij_current(43,2)=22;
  nzij_current(44,1)=68; nzij_current(44,2)=22;
  nzij_current(45,1)=65; nzij_current(45,2)=23;
  nzij_current(46,1)=66; nzij_current(46,2)=23;
  nzij_current(47,1)=51; nzij_current(47,2)=24;
  nzij_current(48,1)=52; nzij_current(48,2)=24;
  nzij_current(49,1)=55; nzij_current(49,2)=24;
  nzij_current(50,1)=56; nzij_current(50,2)=24;
  nzij_current(51,1)=58; nzij_current(51,2)=24;
  nzij_current(52,1)=69; nzij_current(52,2)=25;
  nzij_current(53,1)=1; nzij_current(53,2)=26;
  nzij_current(54,1)=48; nzij_current(54,2)=26;
  nzij_current(55,1)=50; nzij_current(55,2)=26;
  nzij_current(56,1)=55; nzij_current(56,2)=26;
  nzij_current(57,1)=70; nzij_current(57,2)=26;
  nzij_current(58,1)=71; nzij_current(58,2)=26;
  nzij_current(59,1)=73; nzij_current(59,2)=26;
  nzij_current(60,1)=75; nzij_current(60,2)=26;
  nzij_current(61,1)=77; nzij_current(61,2)=26;
  nzij_current(62,1)=79; nzij_current(62,2)=26;
  nzij_current(63,1)=81; nzij_current(63,2)=26;
  nzij_current(64,1)=83; nzij_current(64,2)=26;
  nzij_current(65,1)=85; nzij_current(65,2)=26;
  nzij_current(66,1)=87; nzij_current(66,2)=26;
  nzij_current(67,1)=94; nzij_current(67,2)=26;
  nzij_current(68,1)=107; nzij_current(68,2)=26;
  nzij_current(69,1)=47; nzij_current(69,2)=27;
  nzij_current(70,1)=48; nzij_current(70,2)=27;
  nzij_current(71,1)=49; nzij_current(71,2)=27;
  nzij_current(72,1)=54; nzij_current(72,2)=27;
  nzij_current(73,1)=71; nzij_current(73,2)=27;
  nzij_current(74,1)=87; nzij_current(74,2)=27;
  nzij_current(75,1)=95; nzij_current(75,2)=27;
  nzij_current(76,1)=39; nzij_current(76,2)=28;
  nzij_current(77,1)=42; nzij_current(77,2)=28;
  nzij_current(78,1)=48; nzij_current(78,2)=28;
  nzij_current(79,1)=49; nzij_current(79,2)=28;
  nzij_current(80,1)=96; nzij_current(80,2)=28;
  nzij_current(81,1)=38; nzij_current(81,2)=29;
  nzij_current(82,1)=43; nzij_current(82,2)=29;
  nzij_current(83,1)=44; nzij_current(83,2)=29;
  nzij_current(84,1)=45; nzij_current(84,2)=29;
  nzij_current(85,1)=47; nzij_current(85,2)=29;
  nzij_current(86,1)=54; nzij_current(86,2)=29;
  nzij_current(87,1)=51; nzij_current(87,2)=30;
  nzij_current(88,1)=52; nzij_current(88,2)=30;
  nzij_current(89,1)=55; nzij_current(89,2)=30;
  nzij_current(90,1)=71; nzij_current(90,2)=30;
  nzij_current(91,1)=91; nzij_current(91,2)=30;
  nzij_current(92,1)=92; nzij_current(92,2)=30;
  nzij_current(93,1)=97; nzij_current(93,2)=30;
  nzij_current(94,1)=107; nzij_current(94,2)=30;
  nzij_current(95,1)=34; nzij_current(95,2)=31;
  nzij_current(96,1)=36; nzij_current(96,2)=31;
  nzij_current(97,1)=52; nzij_current(97,2)=31;
  nzij_current(98,1)=70; nzij_current(98,2)=31;
  nzij_current(99,1)=71; nzij_current(99,2)=31;
  nzij_current(100,1)=87; nzij_current(100,2)=31;
  nzij_current(101,1)=99; nzij_current(101,2)=31;
  nzij_current(102,1)=52; nzij_current(102,2)=32;
  nzij_current(103,1)=54; nzij_current(103,2)=32;
  nzij_current(104,1)=34; nzij_current(104,2)=33;
  nzij_current(105,1)=51; nzij_current(105,2)=33;
  nzij_current(106,1)=53; nzij_current(106,2)=34;
  nzij_current(107,1)=35; nzij_current(107,2)=35;
  nzij_current(108,1)=37; nzij_current(108,2)=35;
  nzij_current(109,1)=48; nzij_current(109,2)=35;
  nzij_current(110,1)=70; nzij_current(110,2)=35;
  nzij_current(111,1)=34; nzij_current(111,2)=36;
  nzij_current(112,1)=35; nzij_current(112,2)=36;
  nzij_current(113,1)=36; nzij_current(113,2)=36;
  nzij_current(114,1)=36; nzij_current(114,2)=37;
  nzij_current(115,1)=37; nzij_current(115,2)=37;
  nzij_current(116,1)=50; nzij_current(116,2)=37;
  nzij_current(117,1)=38; nzij_current(117,2)=38;
  nzij_current(118,1)=42; nzij_current(118,2)=38;
  nzij_current(119,1)=38; nzij_current(119,2)=39;
  nzij_current(120,1)=39; nzij_current(120,2)=39;
  nzij_current(121,1)=36; nzij_current(121,2)=40;
  nzij_current(122,1)=47; nzij_current(122,2)=40;
  nzij_current(123,1)=50; nzij_current(123,2)=40;
  nzij_current(124,1)=54; nzij_current(124,2)=40;
  nzij_current(125,1)=70; nzij_current(125,2)=40;
  nzij_current(126,1)=71; nzij_current(126,2)=40;
  nzij_current(127,1)=87; nzij_current(127,2)=40;
  nzij_current(128,1)=100; nzij_current(128,2)=40;
  nzij_current(129,1)=100; nzij_current(129,2)=41;
  nzij_current(130,1)=101; nzij_current(130,2)=41;
  nzij_current(131,1)=1; nzij_current(131,2)=42;
  nzij_current(132,1)=43; nzij_current(132,2)=43;
  nzij_current(133,1)=55; nzij_current(133,2)=43;
  nzij_current(134,1)=93; nzij_current(134,2)=43;
  nzij_current(135,1)=98; nzij_current(135,2)=43;
  nzij_current(136,1)=93; nzij_current(136,2)=44;
  nzij_current(137,1)=92; nzij_current(137,2)=45;
  nzij_current(138,1)=91; nzij_current(138,2)=46;
  nzij_current(139,1)=46; nzij_current(139,2)=47;
  nzij_current(140,1)=45; nzij_current(140,2)=48;
  nzij_current(141,1)=46; nzij_current(141,2)=48;
  nzij_current(142,1)=44; nzij_current(142,2)=49;
  nzij_current(143,1)=48; nzij_current(143,2)=50;
  nzij_current(144,1)=49; nzij_current(144,2)=50;
  nzij_current(145,1)=71; nzij_current(145,2)=50;
  nzij_current(146,1)=73; nzij_current(146,2)=50;
  nzij_current(147,1)=87; nzij_current(147,2)=50;
  nzij_current(148,1)=72; nzij_current(148,2)=51;
  nzij_current(149,1)=73; nzij_current(149,2)=51;
  nzij_current(150,1)=47; nzij_current(150,2)=52;
  nzij_current(151,1)=71; nzij_current(151,2)=52;
  nzij_current(152,1)=79; nzij_current(152,2)=52;
  nzij_current(153,1)=87; nzij_current(153,2)=52;
  nzij_current(154,1)=78; nzij_current(154,2)=53;
  nzij_current(155,1)=79; nzij_current(155,2)=53;
  nzij_current(156,1)=54; nzij_current(156,2)=54;
  nzij_current(157,1)=71; nzij_current(157,2)=54;
  nzij_current(158,1)=83; nzij_current(158,2)=54;
  nzij_current(159,1)=87; nzij_current(159,2)=54;
  nzij_current(160,1)=82; nzij_current(160,2)=55;
  nzij_current(161,1)=83; nzij_current(161,2)=55;
  nzij_current(162,1)=34; nzij_current(162,2)=56;
  nzij_current(163,1)=36; nzij_current(163,2)=56;
  nzij_current(164,1)=70; nzij_current(164,2)=56;
  nzij_current(165,1)=71; nzij_current(165,2)=56;
  nzij_current(166,1)=85; nzij_current(166,2)=56;
  nzij_current(167,1)=87; nzij_current(167,2)=56;
  nzij_current(168,1)=99; nzij_current(168,2)=56;
  nzij_current(169,1)=84; nzij_current(169,2)=57;
  nzij_current(170,1)=85; nzij_current(170,2)=57;
  nzij_current(171,1)=54; nzij_current(171,2)=58;
  nzij_current(172,1)=71; nzij_current(172,2)=58;
  nzij_current(173,1)=81; nzij_current(173,2)=58;
  nzij_current(174,1)=87; nzij_current(174,2)=58;
  nzij_current(175,1)=80; nzij_current(175,2)=59;
  nzij_current(176,1)=81; nzij_current(176,2)=59;
  nzij_current(177,1)=86; nzij_current(177,2)=60;
  nzij_current(178,1)=71; nzij_current(178,2)=61;
  nzij_current(179,1)=77; nzij_current(179,2)=61;
  nzij_current(180,1)=87; nzij_current(180,2)=61;
  nzij_current(181,1)=76; nzij_current(181,2)=62;
  nzij_current(182,1)=77; nzij_current(182,2)=62;
  nzij_current(183,1)=71; nzij_current(183,2)=63;
  nzij_current(184,1)=75; nzij_current(184,2)=63;
  nzij_current(185,1)=87; nzij_current(185,2)=63;
  nzij_current(186,1)=74; nzij_current(186,2)=64;
  nzij_current(187,1)=75; nzij_current(187,2)=64;
  nzij_current(188,1)=87; nzij_current(188,2)=65;
  nzij_current(189,1)=43; nzij_current(189,2)=66;
  nzij_current(190,1)=44; nzij_current(190,2)=66;
  nzij_current(191,1)=45; nzij_current(191,2)=66;
  nzij_current(192,1)=71; nzij_current(192,2)=66;
  nzij_current(193,1)=107; nzij_current(193,2)=66;
  nzij_current(194,1)=108; nzij_current(194,2)=66;
  nzij_current(195,1)=70; nzij_current(195,2)=67;
  nzij_current(196,1)=71; nzij_current(196,2)=67;
  nzij_current(197,1)=87; nzij_current(197,2)=67;
  nzij_current(198,1)=88; nzij_current(198,2)=68;
  nzij_current(199,1)=89; nzij_current(199,2)=69;
  nzij_current(200,1)=90; nzij_current(200,2)=69;
  nzij_current(201,1)=89; nzij_current(201,2)=70;
  nzij_current(202,1)=10; nzij_current(202,2)=71;
  nzij_current(203,1)=9; nzij_current(203,2)=72;
  nzij_current(204,1)=10; nzij_current(204,2)=72;
  nzij_current(205,1)=8; nzij_current(205,2)=73;
  nzij_current(206,1)=6; nzij_current(206,2)=74;
  nzij_current(207,1)=8; nzij_current(207,2)=74;
  nzij_current(208,1)=9; nzij_current(208,2)=74;
  nzij_current(209,1)=16; nzij_current(209,2)=74;
  nzij_current(210,1)=32; nzij_current(210,2)=75;
  nzij_current(211,1)=16; nzij_current(211,2)=76;
  nzij_current(212,1)=22; nzij_current(212,2)=76;
  nzij_current(213,1)=33; nzij_current(213,2)=76;
  nzij_current(214,1)=21; nzij_current(214,2)=77;
  nzij_current(215,1)=22; nzij_current(215,2)=77;
  nzij_current(216,1)=33; nzij_current(216,2)=78;
  nzij_current(217,1)=15; nzij_current(217,2)=79;
  nzij_current(218,1)=16; nzij_current(218,2)=79;
  nzij_current(219,1)=3; nzij_current(219,2)=80;
  nzij_current(220,1)=5; nzij_current(220,2)=80;
  nzij_current(221,1)=11; nzij_current(221,2)=80;
  nzij_current(222,1)=15; nzij_current(222,2)=80;
  nzij_current(223,1)=2; nzij_current(223,2)=81;
  nzij_current(224,1)=3; nzij_current(224,2)=81;
  nzij_current(225,1)=4; nzij_current(225,2)=81;
  nzij_current(226,1)=4; nzij_current(226,2)=82;
  nzij_current(227,1)=5; nzij_current(227,2)=82;
  nzij_current(228,1)=12; nzij_current(228,2)=82;
  nzij_current(229,1)=14; nzij_current(229,2)=83;
  nzij_current(230,1)=41; nzij_current(230,2)=83;
  nzij_current(231,1)=40; nzij_current(231,2)=84;
  nzij_current(232,1)=41; nzij_current(232,2)=84;
  nzij_current(233,1)=7; nzij_current(233,2)=85;
  nzij_current(234,1)=11; nzij_current(234,2)=85;
  nzij_current(235,1)=13; nzij_current(235,2)=85;
  nzij_current(236,1)=16; nzij_current(236,2)=85;
  nzij_current(237,1)=6; nzij_current(237,2)=86;
  nzij_current(238,1)=7; nzij_current(238,2)=86;
  nzij_current(239,1)=8; nzij_current(239,2)=86;
  nzij_current(240,1)=9; nzij_current(240,2)=86;
  nzij_current(241,1)=13; nzij_current(241,2)=86;
  nzij_current(242,1)=41; nzij_current(242,2)=86;
  nzij_current(243,1)=11; nzij_current(243,2)=87;
  nzij_current(244,1)=14; nzij_current(244,2)=87;
  nzij_current(245,1)=40; nzij_current(245,2)=87;
  nzij_current(246,1)=1; nzij_current(246,2)=88;
  nzij_current(247,1)=11; nzij_current(247,2)=88;
  nzij_current(248,1)=12; nzij_current(248,2)=88;
  nzij_current(249,1)=15; nzij_current(249,2)=88;
  nzij_current(250,1)=16; nzij_current(250,2)=88;
  nzij_current(251,1)=18; nzij_current(251,2)=88;
  nzij_current(252,1)=20; nzij_current(252,2)=88;
  nzij_current(253,1)=22; nzij_current(253,2)=88;
  nzij_current(254,1)=24; nzij_current(254,2)=88;
  nzij_current(255,1)=26; nzij_current(255,2)=88;
  nzij_current(256,1)=28; nzij_current(256,2)=88;
  nzij_current(257,1)=30; nzij_current(257,2)=88;
  nzij_current(258,1)=33; nzij_current(258,2)=88;
  nzij_current(259,1)=55; nzij_current(259,2)=88;
  nzij_current(260,1)=4; nzij_current(260,2)=89;
  nzij_current(261,1)=7; nzij_current(261,2)=89;
  nzij_current(262,1)=12; nzij_current(262,2)=89;
  nzij_current(263,1)=13; nzij_current(263,2)=89;
  nzij_current(264,1)=15; nzij_current(264,2)=89;
  nzij_current(265,1)=16; nzij_current(265,2)=89;
  nzij_current(266,1)=2; nzij_current(266,2)=90;
  nzij_current(267,1)=4; nzij_current(267,2)=90;
  nzij_current(268,1)=13; nzij_current(268,2)=90;
  nzij_current(269,1)=15; nzij_current(269,2)=90;
  nzij_current(270,1)=16; nzij_current(270,2)=90;
  nzij_current(271,1)=6; nzij_current(271,2)=91;
  nzij_current(272,1)=11; nzij_current(272,2)=92;
  nzij_current(273,1)=16; nzij_current(273,2)=92;
  nzij_current(274,1)=18; nzij_current(274,2)=92;
  nzij_current(275,1)=33; nzij_current(275,2)=92;
  nzij_current(276,1)=17; nzij_current(276,2)=93;
  nzij_current(277,1)=18; nzij_current(277,2)=93;
  nzij_current(278,1)=16; nzij_current(278,2)=94;
  nzij_current(279,1)=20; nzij_current(279,2)=94;
  nzij_current(280,1)=33; nzij_current(280,2)=94;
  nzij_current(281,1)=19; nzij_current(281,2)=95;
  nzij_current(282,1)=20; nzij_current(282,2)=95;
  nzij_current(283,1)=7; nzij_current(283,2)=96;
  nzij_current(284,1)=16; nzij_current(284,2)=96;
  nzij_current(285,1)=24; nzij_current(285,2)=96;
  nzij_current(286,1)=23; nzij_current(286,2)=97;
  nzij_current(287,1)=24; nzij_current(287,2)=97;
  nzij_current(288,1)=2; nzij_current(288,2)=98;
  nzij_current(289,1)=4; nzij_current(289,2)=98;
  nzij_current(290,1)=15; nzij_current(290,2)=98;
  nzij_current(291,1)=16; nzij_current(291,2)=98;
  nzij_current(292,1)=30; nzij_current(292,2)=98;
  nzij_current(293,1)=29; nzij_current(293,2)=99;
  nzij_current(294,1)=30; nzij_current(294,2)=99;
  nzij_current(295,1)=13; nzij_current(295,2)=100;
  nzij_current(296,1)=16; nzij_current(296,2)=100;
  nzij_current(297,1)=26; nzij_current(297,2)=100;
  nzij_current(298,1)=25; nzij_current(298,2)=101;
  nzij_current(299,1)=26; nzij_current(299,2)=101;
  nzij_current(300,1)=13; nzij_current(300,2)=102;
  nzij_current(301,1)=16; nzij_current(301,2)=102;
  nzij_current(302,1)=28; nzij_current(302,2)=102;
  nzij_current(303,1)=27; nzij_current(303,2)=103;
  nzij_current(304,1)=28; nzij_current(304,2)=103;
  nzij_current(305,1)=31; nzij_current(305,2)=104;
  nzij_current(306,1)=49; nzij_current(306,2)=105;
  nzij_current(307,1)=104; nzij_current(307,2)=106;
  nzij_current(308,1)=105; nzij_current(308,2)=106;
  nzij_current(309,1)=104; nzij_current(309,2)=107;
  nzij_current(310,1)=106; nzij_current(310,2)=107;
  nzij_current(311,1)=106; nzij_current(311,2)=108;
  nzij_current(312,1)=109; nzij_current(312,2)=109;
  nzij_current(313,1)=110; nzij_current(313,2)=110;
  nzij_current(314,1)=111; nzij_current(314,2)=111;
  nzij_current(315,1)=112; nzij_current(315,2)=112;
  nzij_current(316,1)=113; nzij_current(316,2)=113;
  nzij_current(317,1)=114; nzij_current(317,2)=114;
  nzij_current(318,1)=115; nzij_current(318,2)=115;
  nzij_current(319,1)=116; nzij_current(319,2)=116;
  nzij_current(320,1)=117; nzij_current(320,2)=117;
  nzij_current(321,1)=118; nzij_current(321,2)=118;
  nzij_current(322,1)=119; nzij_current(322,2)=119;
  nzij_current(323,1)=120; nzij_current(323,2)=120;
  nzij_current(324,1)=121; nzij_current(324,2)=121;
  nzij_current(325,1)=122; nzij_current(325,2)=122;
  nzij_current(326,1)=123; nzij_current(326,2)=123;
  nzij_current(327,1)=124; nzij_current(327,2)=124;
  nzij_current(328,1)=125; nzij_current(328,2)=125;
  nzij_current(329,1)=126; nzij_current(329,2)=126;
  nzij_current(330,1)=127; nzij_current(330,2)=127;
  nzij_current(331,1)=128; nzij_current(331,2)=128;
  nzij_current(332,1)=129; nzij_current(332,2)=129;
  nzij_current(333,1)=130; nzij_current(333,2)=130;
  nzij_current(334,1)=131; nzij_current(334,2)=131;
  nzij_current(335,1)=132; nzij_current(335,2)=132;
  nzij_current(336,1)=133; nzij_current(336,2)=133;
  nzij_current(337,1)=134; nzij_current(337,2)=134;
  nzij_current(338,1)=135; nzij_current(338,2)=135;
  nzij_current(339,1)=136; nzij_current(339,2)=136;
  nzij_current(340,1)=137; nzij_current(340,2)=137;
  nzij_current(341,1)=138; nzij_current(341,2)=138;
  nzij_current(342,1)=139; nzij_current(342,2)=139;
  nzij_current(343,1)=140; nzij_current(343,2)=140;
  nzij_current(344,1)=141; nzij_current(344,2)=141;
  nzij_current(345,1)=142; nzij_current(345,2)=142;
  nzij_current(346,1)=143; nzij_current(346,2)=143;
  nzij_current(347,1)=144; nzij_current(347,2)=144;
  nzij_current(348,1)=145; nzij_current(348,2)=145;
  nzij_current(349,1)=146; nzij_current(349,2)=146;
  nzij_current(350,1)=147; nzij_current(350,2)=147;
  nzij_current(351,1)=148; nzij_current(351,2)=148;
  nzij_current(352,1)=149; nzij_current(352,2)=149;
  nzij_current(353,1)=150; nzij_current(353,2)=150;
  nzij_current(354,1)=151; nzij_current(354,2)=151;
  nzij_current(355,1)=152; nzij_current(355,2)=152;
  nzij_current(356,1)=153; nzij_current(356,2)=153;
  nzij_current(357,1)=154; nzij_current(357,2)=154;
  nzij_current(358,1)=155; nzij_current(358,2)=155;
  nzij_current(359,1)=156; nzij_current(359,2)=156;
  nzij_current(360,1)=157; nzij_current(360,2)=157;
  nzij_fwrd = zeros(89, 2, 'int32');
  nzij_fwrd(1,1)=59; nzij_fwrd(1,2)=14;
  nzij_fwrd(2,1)=51; nzij_fwrd(2,2)=24;
  nzij_fwrd(3,1)=52; nzij_fwrd(3,2)=24;
  nzij_fwrd(4,1)=39; nzij_fwrd(4,2)=28;
  nzij_fwrd(5,1)=38; nzij_fwrd(5,2)=29;
  nzij_fwrd(6,1)=43; nzij_fwrd(6,2)=29;
  nzij_fwrd(7,1)=44; nzij_fwrd(7,2)=29;
  nzij_fwrd(8,1)=45; nzij_fwrd(8,2)=29;
  nzij_fwrd(9,1)=43; nzij_fwrd(9,2)=30;
  nzij_fwrd(10,1)=44; nzij_fwrd(10,2)=30;
  nzij_fwrd(11,1)=45; nzij_fwrd(11,2)=30;
  nzij_fwrd(12,1)=51; nzij_fwrd(12,2)=30;
  nzij_fwrd(13,1)=52; nzij_fwrd(13,2)=30;
  nzij_fwrd(14,1)=109; nzij_fwrd(14,2)=30;
  nzij_fwrd(15,1)=52; nzij_fwrd(15,2)=31;
  nzij_fwrd(16,1)=38; nzij_fwrd(16,2)=36;
  nzij_fwrd(17,1)=38; nzij_fwrd(17,2)=39;
  nzij_fwrd(18,1)=100; nzij_fwrd(18,2)=41;
  nzij_fwrd(19,1)=102; nzij_fwrd(19,2)=43;
  nzij_fwrd(20,1)=103; nzij_fwrd(20,2)=43;
  nzij_fwrd(21,1)=45; nzij_fwrd(21,2)=48;
  nzij_fwrd(22,1)=44; nzij_fwrd(22,2)=49;
  nzij_fwrd(23,1)=9; nzij_fwrd(23,2)=72;
  nzij_fwrd(24,1)=8; nzij_fwrd(24,2)=73;
  nzij_fwrd(25,1)=41; nzij_fwrd(25,2)=81;
  nzij_fwrd(26,1)=41; nzij_fwrd(26,2)=84;
  nzij_fwrd(27,1)=6; nzij_fwrd(27,2)=86;
  nzij_fwrd(28,1)=8; nzij_fwrd(28,2)=86;
  nzij_fwrd(29,1)=9; nzij_fwrd(29,2)=86;
  nzij_fwrd(30,1)=41; nzij_fwrd(30,2)=86;
  nzij_fwrd(31,1)=40; nzij_fwrd(31,2)=87;
  nzij_fwrd(32,1)=110; nzij_fwrd(32,2)=109;
  nzij_fwrd(33,1)=111; nzij_fwrd(33,2)=110;
  nzij_fwrd(34,1)=112; nzij_fwrd(34,2)=111;
  nzij_fwrd(35,1)=113; nzij_fwrd(35,2)=112;
  nzij_fwrd(36,1)=114; nzij_fwrd(36,2)=113;
  nzij_fwrd(37,1)=115; nzij_fwrd(37,2)=114;
  nzij_fwrd(38,1)=116; nzij_fwrd(38,2)=115;
  nzij_fwrd(39,1)=117; nzij_fwrd(39,2)=116;
  nzij_fwrd(40,1)=118; nzij_fwrd(40,2)=117;
  nzij_fwrd(41,1)=119; nzij_fwrd(41,2)=118;
  nzij_fwrd(42,1)=120; nzij_fwrd(42,2)=119;
  nzij_fwrd(43,1)=121; nzij_fwrd(43,2)=120;
  nzij_fwrd(44,1)=122; nzij_fwrd(44,2)=121;
  nzij_fwrd(45,1)=123; nzij_fwrd(45,2)=122;
  nzij_fwrd(46,1)=124; nzij_fwrd(46,2)=123;
  nzij_fwrd(47,1)=125; nzij_fwrd(47,2)=124;
  nzij_fwrd(48,1)=126; nzij_fwrd(48,2)=125;
  nzij_fwrd(49,1)=127; nzij_fwrd(49,2)=126;
  nzij_fwrd(50,1)=128; nzij_fwrd(50,2)=127;
  nzij_fwrd(51,1)=105; nzij_fwrd(51,2)=128;
  nzij_fwrd(52,1)=129; nzij_fwrd(52,2)=128;
  nzij_fwrd(53,1)=105; nzij_fwrd(53,2)=129;
  nzij_fwrd(54,1)=130; nzij_fwrd(54,2)=129;
  nzij_fwrd(55,1)=105; nzij_fwrd(55,2)=130;
  nzij_fwrd(56,1)=131; nzij_fwrd(56,2)=130;
  nzij_fwrd(57,1)=105; nzij_fwrd(57,2)=131;
  nzij_fwrd(58,1)=132; nzij_fwrd(58,2)=131;
  nzij_fwrd(59,1)=105; nzij_fwrd(59,2)=132;
  nzij_fwrd(60,1)=133; nzij_fwrd(60,2)=132;
  nzij_fwrd(61,1)=105; nzij_fwrd(61,2)=133;
  nzij_fwrd(62,1)=134; nzij_fwrd(62,2)=133;
  nzij_fwrd(63,1)=105; nzij_fwrd(63,2)=134;
  nzij_fwrd(64,1)=135; nzij_fwrd(64,2)=134;
  nzij_fwrd(65,1)=105; nzij_fwrd(65,2)=135;
  nzij_fwrd(66,1)=136; nzij_fwrd(66,2)=135;
  nzij_fwrd(67,1)=105; nzij_fwrd(67,2)=136;
  nzij_fwrd(68,1)=137; nzij_fwrd(68,2)=136;
  nzij_fwrd(69,1)=105; nzij_fwrd(69,2)=137;
  nzij_fwrd(70,1)=138; nzij_fwrd(70,2)=137;
  nzij_fwrd(71,1)=105; nzij_fwrd(71,2)=138;
  nzij_fwrd(72,1)=139; nzij_fwrd(72,2)=138;
  nzij_fwrd(73,1)=105; nzij_fwrd(73,2)=139;
  nzij_fwrd(74,1)=140; nzij_fwrd(74,2)=139;
  nzij_fwrd(75,1)=105; nzij_fwrd(75,2)=140;
  nzij_fwrd(76,1)=141; nzij_fwrd(76,2)=140;
  nzij_fwrd(77,1)=105; nzij_fwrd(77,2)=141;
  nzij_fwrd(78,1)=142; nzij_fwrd(78,2)=141;
  nzij_fwrd(79,1)=105; nzij_fwrd(79,2)=142;
  nzij_fwrd(80,1)=143; nzij_fwrd(80,2)=142;
  nzij_fwrd(81,1)=105; nzij_fwrd(81,2)=143;
  nzij_fwrd(82,1)=144; nzij_fwrd(82,2)=143;
  nzij_fwrd(83,1)=105; nzij_fwrd(83,2)=144;
  nzij_fwrd(84,1)=145; nzij_fwrd(84,2)=144;
  nzij_fwrd(85,1)=105; nzij_fwrd(85,2)=145;
  nzij_fwrd(86,1)=146; nzij_fwrd(86,2)=145;
  nzij_fwrd(87,1)=105; nzij_fwrd(87,2)=146;
  nzij_fwrd(88,1)=147; nzij_fwrd(88,2)=146;
  nzij_fwrd(89,1)=105; nzij_fwrd(89,2)=147;
end
