function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = testdynare.static_resid_tt(T, y, x, params);
end
residual = zeros(157, 1);
lhs = y(42);
rhs = y(26)-y(88);
residual(1) = lhs - rhs;
lhs = y(15);
rhs = T(8)*y(81)+(1-T(8))*(y(90)+y(98));
residual(2) = lhs - rhs;
lhs = y(80);
rhs = y(81)*T(37);
residual(3) = lhs - rhs;
lhs = y(81);
rhs = y(90)+y(98)+y(89)-y(82);
residual(4) = lhs - rhs;
lhs = y(82);
rhs = y(80)+y(83);
residual(5) = lhs - rhs;
lhs = y(86);
rhs = params(42)*(y(86)+y(91)-y(16))-params(111)*(1-params(42))*y(74)/params(41);
residual(6) = lhs - rhs;
lhs = y(86)*T(38);
rhs = y(89)*(params(15)-1)*T(20)+(-params(15))*y(85)+y(85)*params(15)*params(16)/T(3)-T(38)*y(96)/(1+params(49));
residual(7) = lhs - rhs;
lhs = y(73);
rhs = y(73)*params(42)*(1-params(40))/T(17)-params(42)*y(16)/T(21)-T(39)*(y(86)+params(111)*y(74)/params(41));
residual(8) = lhs - rhs;
lhs = y(86);
rhs = params(42)*T(22)*(y(86)+y(72)-y(16))-(1-params(42))*params(111)*y(74)/params(41);
residual(9) = lhs - rhs;
lhs = y(71)-y(72);
rhs = (y(71)-y(72))*T(40);
residual(10) = lhs - rhs;
lhs = y(88);
rhs = T(15)*y(85)+params(4)*y(87)+y(17)+params(29)*y(92)+y(80)*T(23);
residual(11) = lhs - rhs;
lhs = y(88);
rhs = params(17)*(y(15)+T(8)*y(82)+(1-T(8))*y(89));
residual(12) = lhs - rhs;
lhs = y(89)*params(32)+y(89)*(params(15)-1)*T(20)/T(38)+(1-params(15))/T(38)*(y(85)-params(16)/T(3)*y(85));
rhs = y(90)+y(86)-(y(102)+y(100))/(1-T(13)-T(14));
residual(13) = lhs - rhs;
lhs = y(83);
rhs = T(24)*(1+T(2)*T(3))*T(42)*y(18)+y(87)*T(24)+y(83)*(1-T(24));
residual(14) = lhs - rhs;
lhs = T(11)*y(79);
rhs = y(88)-T(10)*(y(98)+(1+T(12))*(y(90)+y(89)))-y(80)*T(23)-params(14)*T(7)*y(83);
residual(15) = lhs - rhs;
lhs = y(74);
rhs = params(53)*y(94)+params(29)*y(92)+y(71)*T(43)+T(1)/T(3)*y(74)-(y(76)+y(88)*params(44)+T(10)*(y(98)+y(102)+y(100)+(y(90)+y(89))*(T(12)+T(13)+T(14)))+T(15)*(y(96)+params(49)*y(85))+T(11)*params(50)*y(79));
residual(16) = lhs - rhs;
lhs = y(93);
rhs = (1-params(73))*x(8)+params(72)*y(93)+y(74)*T(25)/params(41)+params(73)*x(8);
residual(17) = lhs - rhs;
lhs = y(92);
rhs = y(93)+y(88)*params(74);
residual(18) = lhs - rhs;
lhs = y(95);
rhs = (1-params(78))*x(9)+params(77)*y(95)+y(74)*T(26)/params(41)+params(78)*x(9);
residual(19) = lhs - rhs;
lhs = y(94);
rhs = y(95)+y(88)*params(79);
residual(20) = lhs - rhs;
lhs = y(77);
rhs = (1-params(83))*x(10)+params(82)*y(77)+y(74)*T(27)/params(41)+params(83)*x(10);
residual(21) = lhs - rhs;
lhs = y(76);
rhs = y(77)+y(88)*params(84);
residual(22) = lhs - rhs;
lhs = y(97);
rhs = (1-params(88))*x(11)+params(87)*y(97)+y(74)*T(28)/params(41)+params(88)*x(11);
residual(23) = lhs - rhs;
lhs = y(96);
rhs = y(97)+y(88)*params(89);
residual(24) = lhs - rhs;
lhs = y(101);
rhs = (1-params(93))*x(12)+params(92)*y(101)+y(74)*T(29)/params(41)+params(93)*x(12);
residual(25) = lhs - rhs;
lhs = y(100);
rhs = y(101)+y(88)*params(94);
residual(26) = lhs - rhs;
lhs = y(103);
rhs = (1-params(98))*x(13)+params(97)*y(103)+y(74)*T(30)/params(41)+params(98)*x(13);
residual(27) = lhs - rhs;
lhs = y(102);
rhs = y(103)+y(88)*params(99);
residual(28) = lhs - rhs;
lhs = y(99);
rhs = (1-params(103))*x(14)+params(102)*y(99)+y(74)*T(31)/params(41)+params(103)*x(14);
residual(29) = lhs - rhs;
lhs = y(98);
rhs = y(99)+y(88)*params(104);
residual(30) = lhs - rhs;
residual(31) = y(104);
residual(32) = y(75);
lhs = y(78);
rhs = params(29)*y(92)-y(76)-params(53)*y(94)-T(18)*y(88)-y(88)*params(44);
residual(33) = lhs - rhs;
lhs = y(33);
rhs = T(8)*y(36)+(1-T(8))*(y(31)+y(56))-y(15);
residual(34) = lhs - rhs;
lhs = y(35);
rhs = T(37)*y(36);
residual(35) = lhs - rhs;
lhs = y(36);
rhs = y(56)+y(31)+y(40)-y(37);
residual(36) = lhs - rhs;
lhs = y(37);
rhs = y(35)+y(38);
residual(37) = lhs - rhs;
lhs = y(39);
rhs = y(39)*T(2)*(1-params(14))+y(36)*(1-params(50))*T(2)*T(6)+params(43)*y(29)-y(29)-y(38)*(1-params(43))*params(112);
residual(38) = lhs - rhs;
lhs = y(28);
rhs = y(18)+T(44)*(y(28)+T(2)*T(3)*y(28)+y(39)*1/T(42));
residual(39) = lhs - rhs;
lhs = y(87);
rhs = y(18)+T(44)*(y(87)+y(87)*T(2)*T(3)+1/T(42)*y(84));
residual(40) = lhs - rhs;
lhs = y(84);
rhs = T(2)*(1-params(14))*y(84)+y(81)*(1-params(50))*T(2)*T(6)+params(43)*y(86)-y(86)-y(83)*(1-params(43))*params(112);
residual(41) = lhs - rhs;
lhs = y(38);
rhs = y(18)*params(13)*T(24)*(1+T(2)*T(3))*T(41)+T(24)*y(28)+(1-T(24))*y(38);
residual(42) = lhs - rhs;
lhs = y(29);
rhs = params(42)*(y(29)+y(43)-y(30)-y(16))-params(111)*(1-params(42))*y(66)/params(41);
residual(43) = lhs - rhs;
lhs = y(49);
rhs = params(42)*(1-params(40))/T(17)*y(49)+(1+params(40)/T(21)-params(40))*params(42)*(-y(30))/T(17)-params(42)*y(16)/T(21)-T(39)*(y(29)+params(111)*y(66)/params(41));
residual(44) = lhs - rhs;
lhs = y(29);
rhs = params(42)*T(22)*(y(29)+y(48)-y(30)-y(16))-(1-params(42))*params(111)*y(66)/params(41);
residual(45) = lhs - rhs;
lhs = y(47)-y(48);
rhs = T(40)*(y(47)-y(48));
residual(46) = lhs - rhs;
lhs = T(38)*y(29);
rhs = (params(15)-1)*T(20)*y(40)+(-params(15))*y(27)+params(15)*params(16)/T(3)*y(27)-T(38)*y(52)/(1+params(49));
residual(47) = lhs - rhs;
lhs = y(26);
rhs = y(17)+T(15)*y(27)+params(4)*y(28)+params(29)*y(50)+T(23)*y(35);
residual(48) = lhs - rhs;
lhs = y(105);
rhs = y(17)+T(15)*y(27)+params(4)*y(28)+params(29)*y(50);
residual(49) = lhs - rhs;
lhs = y(26);
rhs = params(17)*(y(15)+T(8)*y(37)+(1-T(8))*y(40));
residual(50) = lhs - rhs;
lhs = y(30)-y(24);
rhs = T(45)*(T(2)*T(3)*(y(30)-y(24))+(y(30)-y(24))*params(30)+y(33)*T(46))+y(20);
residual(51) = lhs - rhs;
lhs = y(31);
rhs = y(21)+T(47)*(y(32)-y(31))+y(24)*(1-params(18))/(1+T(2)*T(3))+y(31)*T(44)+y(31)*T(48)+y(30)*params(18)/(1+T(2)*T(3))-y(30)*(1+T(2)*T(3)*params(18))/(1+T(2)*T(3))+y(30)*T(48)-y(24)*T(2)*T(3)*(1-params(18))/(1+T(2)*T(3));
residual(52) = lhs - rhs;
residual(53) = y(34);
lhs = params(32)*y(40)+(params(15)-1)*T(20)/T(38)*y(40)+(1-params(15))/T(38)*(y(27)-params(16)/T(3)*y(27));
rhs = y(29)+y(32)-(y(54)+y(58))/(1-T(13)-T(14));
residual(54) = lhs - rhs;
lhs = y(43)-y(24);
rhs = (1-x(19))*((y(30)-y(24))*params(34)*(1-params(37))+(y(26)-y(88))*(1-params(37))*params(36)+params(35)*(y(88)+y(26)-y(88)-y(26))+(y(43)-y(24))*params(37)+y(19))-x(19)*x(18)+y(10);
residual(55) = lhs - rhs;
lhs = y(24)-y(24)*0.999;
rhs = x(16)+(y(24)-y(24)*0.999)*params(23);
residual(56) = lhs - rhs;
lhs = y(10);
rhs = y(10)*params(71)+x(17);
residual(57) = lhs - rhs;
lhs = y(14);
rhs = y(10)+y(24)+y(19)-y(24)*params(37)-y(24)*params(34)*(1-params(37));
residual(58) = lhs - rhs;
lhs = y(11);
rhs = y(14);
residual(59) = lhs - rhs;
lhs = y(15);
rhs = y(15)*params(38)+x(1);
residual(60) = lhs - rhs;
lhs = y(16);
rhs = y(16)*params(39)+x(2);
residual(61) = lhs - rhs;
lhs = y(17);
rhs = y(17)*params(20)+x(3)+x(1)*params(3);
residual(62) = lhs - rhs;
lhs = y(18);
rhs = y(18)*params(21)+x(4);
residual(63) = lhs - rhs;
lhs = y(19);
rhs = y(19)*params(22)+x(5);
residual(64) = lhs - rhs;
lhs = y(20);
rhs = params(24)*y(20)+y(23)-y(23)*T(32);
residual(65) = lhs - rhs;
lhs = y(23);
rhs = x(6);
residual(66) = lhs - rhs;
lhs = y(21);
rhs = params(25)*y(21)+y(22)-y(22)*T(33);
residual(67) = lhs - rhs;
lhs = y(22);
rhs = x(7);
residual(68) = lhs - rhs;
residual(69) = y(25);
lhs = T(11)*y(67);
rhs = y(26)-T(10)*(y(56)+(1+T(12))*(y(31)+y(40)))-T(23)*y(35)-params(14)*T(7)*y(38);
residual(70) = lhs - rhs;
lhs = y(66);
rhs = params(53)*y(63)+params(29)*y(50)+T(43)*(y(47)-y(30))+T(1)/T(3)*y(66)-(y(61)+y(26)*params(44)+T(10)*(y(56)+y(58)+y(54)+(T(12)+T(13)+T(14))*(y(31)+y(40)))+T(15)*(y(52)+params(49)*y(27))+T(11)*params(50)*y(67));
residual(71) = lhs - rhs;
lhs = y(51);
rhs = (1-params(73))*x(8)+params(72)*y(51)+T(25)/params(41)*y(66)+params(73)*x(8);
residual(72) = lhs - rhs;
lhs = y(50);
rhs = y(51)+y(26)*params(74);
residual(73) = lhs - rhs;
lhs = y(64);
rhs = (1-params(78))*x(9)+params(77)*y(64)+T(26)/params(41)*y(66)+params(78)*x(9);
residual(74) = lhs - rhs;
lhs = y(63);
rhs = y(64)+y(26)*params(79);
residual(75) = lhs - rhs;
lhs = y(62);
rhs = (1-params(83))*x(10)+params(82)*y(62)+T(27)/params(41)*y(66)+params(83)*x(10);
residual(76) = lhs - rhs;
lhs = y(61);
rhs = y(62)+y(26)*params(84);
residual(77) = lhs - rhs;
lhs = y(53);
rhs = (1-params(88))*x(11)+params(87)*y(53)+T(28)/params(41)*y(66)+params(88)*x(11);
residual(78) = lhs - rhs;
lhs = y(52);
rhs = y(53)+y(26)*params(89);
residual(79) = lhs - rhs;
lhs = y(59);
rhs = (1-params(93))*x(12)+params(92)*y(59)+T(29)/params(41)*y(66)+params(93)*x(12);
residual(80) = lhs - rhs;
lhs = y(58);
rhs = y(59)+y(26)*params(94);
residual(81) = lhs - rhs;
lhs = y(55);
rhs = (1-params(98))*x(13)+params(97)*y(55)+T(30)/params(41)*y(66)+params(98)*x(13);
residual(82) = lhs - rhs;
lhs = y(54);
rhs = y(55)+y(26)*params(99);
residual(83) = lhs - rhs;
lhs = y(57);
rhs = (1-params(103))*x(14)+params(102)*y(57)+T(31)/params(41)*y(66)+params(103)*x(14);
residual(84) = lhs - rhs;
lhs = y(56);
rhs = y(57)+y(26)*params(104);
residual(85) = lhs - rhs;
residual(86) = y(60);
lhs = y(65);
rhs = params(29)*y(50)+params(53)*y(63)-(y(61)+y(26)*params(44)+T(10)*(y(56)+y(58)+y(54)+(T(12)+T(13)+T(14))*(y(31)+y(40)))+T(15)*(y(52)+params(49)*y(27))+T(11)*params(50)*y(67))-T(18)*y(26);
residual(87) = lhs - rhs;
residual(88) = y(68);
lhs = y(70);
rhs = y(70)*params(107)+y(69);
residual(89) = lhs - rhs;
lhs = y(69);
rhs = y(69)*params(108)+x(15);
residual(90) = lhs - rhs;
lhs = y(46);
rhs = y(30)+y(30)+y(30)+y(30);
residual(91) = lhs - rhs;
lhs = y(45);
rhs = 4*y(30);
residual(92) = lhs - rhs;
lhs = y(44);
rhs = 4*y(43);
residual(93) = lhs - rhs;
lhs = y(4);
rhs = params(26);
residual(94) = lhs - rhs;
lhs = y(7);
rhs = params(26);
residual(95) = lhs - rhs;
lhs = y(8);
rhs = params(26);
residual(96) = lhs - rhs;
lhs = y(3);
rhs = params(7)+y(30);
residual(97) = lhs - rhs;
lhs = y(2);
rhs = 4*(y(43)+T(34));
residual(98) = lhs - rhs;
lhs = y(9);
rhs = params(26);
residual(99) = lhs - rhs;
lhs = 0;
rhs = T(49)*(y(40)-y(41));
residual(100) = lhs - rhs;
lhs = y(1);
rhs = y(41)+params(6);
residual(101) = lhs - rhs;
lhs = y(13);
rhs = 4*(y(43)+T(34));
residual(102) = lhs - rhs;
lhs = y(12);
rhs = 4*(y(43)+T(34));
residual(103) = lhs - rhs;
lhs = y(107)/4;
rhs = y(106)+params(8);
residual(104) = lhs - rhs;
lhs = y(106);
rhs = 0.05*(y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30)+y(30));
residual(105) = lhs - rhs;
lhs = y(108);
rhs = y(107);
residual(106) = lhs - rhs;
lhs = y(5);
rhs = y(66)+T(35)-T(36)*(y(66)+params(41)*(y(26)*(T(3)*T(16)-1)-y(30)));
residual(107) = lhs - rhs;
lhs = y(6);
rhs = y(66)/params(41)+params(48);
residual(108) = lhs - rhs;
lhs = y(109);
rhs = y(30);
residual(109) = lhs - rhs;
lhs = y(110);
rhs = y(30);
residual(110) = lhs - rhs;
lhs = y(111);
rhs = y(30);
residual(111) = lhs - rhs;
lhs = y(112);
rhs = y(30);
residual(112) = lhs - rhs;
lhs = y(113);
rhs = y(30);
residual(113) = lhs - rhs;
lhs = y(114);
rhs = y(30);
residual(114) = lhs - rhs;
lhs = y(115);
rhs = y(30);
residual(115) = lhs - rhs;
lhs = y(116);
rhs = y(30);
residual(116) = lhs - rhs;
lhs = y(117);
rhs = y(30);
residual(117) = lhs - rhs;
lhs = y(118);
rhs = y(30);
residual(118) = lhs - rhs;
lhs = y(119);
rhs = y(30);
residual(119) = lhs - rhs;
lhs = y(120);
rhs = y(30);
residual(120) = lhs - rhs;
lhs = y(121);
rhs = y(30);
residual(121) = lhs - rhs;
lhs = y(122);
rhs = y(30);
residual(122) = lhs - rhs;
lhs = y(123);
rhs = y(30);
residual(123) = lhs - rhs;
lhs = y(124);
rhs = y(30);
residual(124) = lhs - rhs;
lhs = y(125);
rhs = y(30);
residual(125) = lhs - rhs;
lhs = y(126);
rhs = y(30);
residual(126) = lhs - rhs;
lhs = y(127);
rhs = y(30);
residual(127) = lhs - rhs;
lhs = y(128);
rhs = y(30);
residual(128) = lhs - rhs;
lhs = y(129);
rhs = y(30);
residual(129) = lhs - rhs;
lhs = y(130);
rhs = y(30);
residual(130) = lhs - rhs;
lhs = y(131);
rhs = y(30);
residual(131) = lhs - rhs;
lhs = y(132);
rhs = y(30);
residual(132) = lhs - rhs;
lhs = y(133);
rhs = y(30);
residual(133) = lhs - rhs;
lhs = y(134);
rhs = y(30);
residual(134) = lhs - rhs;
lhs = y(135);
rhs = y(30);
residual(135) = lhs - rhs;
lhs = y(136);
rhs = y(30);
residual(136) = lhs - rhs;
lhs = y(137);
rhs = y(30);
residual(137) = lhs - rhs;
lhs = y(138);
rhs = y(30);
residual(138) = lhs - rhs;
lhs = y(139);
rhs = y(30);
residual(139) = lhs - rhs;
lhs = y(140);
rhs = y(30);
residual(140) = lhs - rhs;
lhs = y(141);
rhs = y(30);
residual(141) = lhs - rhs;
lhs = y(142);
rhs = y(30);
residual(142) = lhs - rhs;
lhs = y(143);
rhs = y(30);
residual(143) = lhs - rhs;
lhs = y(144);
rhs = y(30);
residual(144) = lhs - rhs;
lhs = y(145);
rhs = y(30);
residual(145) = lhs - rhs;
lhs = y(146);
rhs = y(30);
residual(146) = lhs - rhs;
lhs = y(147);
rhs = y(30);
residual(147) = lhs - rhs;
lhs = y(148);
rhs = y(24);
residual(148) = lhs - rhs;
lhs = y(149);
rhs = y(30);
residual(149) = lhs - rhs;
lhs = y(150);
rhs = y(30);
residual(150) = lhs - rhs;
lhs = y(151);
rhs = x(8);
residual(151) = lhs - rhs;
lhs = y(152);
rhs = x(9);
residual(152) = lhs - rhs;
lhs = y(153);
rhs = x(10);
residual(153) = lhs - rhs;
lhs = y(154);
rhs = x(11);
residual(154) = lhs - rhs;
lhs = y(155);
rhs = x(12);
residual(155) = lhs - rhs;
lhs = y(156);
rhs = x(13);
residual(156) = lhs - rhs;
lhs = y(157);
rhs = x(14);
residual(157) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
