@#define fins=["gg","tt","t","tauc","taun","tauwh","tauwf"]
@#define shocks=["ea", "eb", "eg", "eqs", "em", "epinf", "ew","egg","ett","et", "etauc", "etaun", "etauwh", "etauwf", "etarget","epiobj"]

var  EMPL_ea STIEONIA_ea dYED_ea dYER_ea   DYalt_ea bgovmv


    dPCRYED_ea
    dITPRYED_ea
    dWYED_ea
     



  


    
    @#for h in OIShorizon
        ms_@{h} 
        MS_@{h}
        OIS_@{h}
        OISINST_@{h}
    @#endfor

MS_0
%EXOGENOUS DRIVING PROCESSES%    
a 
b 
g 
qs 
ms 
spinf 
sw
ewma 
epinfma  
piobj
gamma       %TFP growth rate, not used



y 

c
inve 
xi         %Marginal utility of consumption

pinf 
w 
wh 
mc 
gammaw %indexation of non-reoptimized wages to gamma.

zcap 
rk 
k
kp  
pk  
lab
EMPL_dev_ea  

outputgap 
r 
r_annual 
pinf_annual
pinf_yoy 

%%%%%%%%%%%%%%%%%%%%%%%%
%Long term gov. bonds%%%
%%%%%%%%%%%%%%%%%%%%%%%
rbgov    %Average interest rate total outstanding government bonds 
rbgovn   %Interest rate on newly issued government bonds
pbgov    %Government bond price


%Fiscal block
%All tax rates are expressed as percentag POINT deviations from their respective steady state values
gg              %government expenditure
gg_trend 
tauc            %consumption tax
tauc_trend  
tauwh           %Household social security contributions, held constant
tauwh_trend 
tauwf           %Firm social security contributions, held constant
tauwf_trend     
taun            %Wage income tax       
taun_trend 
tauk            %capital income tax, held constant
t               %lump sum tax. Expressed as percentage of steady state GDP
t_trend 
tt              %Transfers, held constant.
tt_trend 
pdy             %primary deficit, percentage of steady state GDP
bgov            %government debt, percentage of steady-state GDP
nprof           %Total profits


%Not used
bgovtarget 
SGP_shock 
SGP 


 
rbgovf 
rbgovnf 
pbgovf 
bgovf 
bgovtargetf 
tf 
t_trendf 
pdyf 
nproff
zcapf 
rkf 
kf 
kpf 
pkf 
cf 
xif 
invef 
yf 
labf 
wf 
rrf 
ggf 
gg_trendf 
ttf 
tt_trendf 
taucf 
tauc_trendf 
tauwff 
tauwf_trendf 
taunf taun_trendf 
tauwhf tauwh_trendf 
taukf 
         GDP PCINFL_5plus5 dCPI_5y5y_ea dCPI_5y5y_ea_b; //Y BGOV GAMMA PINF DY_annual2  



varexo 
@#for s in shocks
        @{ s }
        
@#endfor 

        @#for h in OIShorizon
                em_@{h}       
         @#endfor

MFG_ea DUM_ea
;
 
parameters curvw curvp cgy ciy cdtxy constelab constepinf constinfl_5plus5 constinfl_CPIYED cmaw cmap czcap csadjcost ctou csigma chabb cfc cindw cprobw crhog crhoqs crhoms crhopiobj crhopinf crhow ctrend ctrendw cg cggy 
           cindp cprobp csigl clandaw crpi crdy cry crr crhoa crhob 
           comega cbg2gdp theta theta_K cty  calvoempl 
           constepdy cB2GDP_ea consteb ctauc ctauk cscry cscey ctty 
           @#for s in shocks
                sd_@{ s }        
           @#endfor 

         @#for h in OIShorizon
                sd_em_@{h}
                crhoms_@{h}
         @#endfor


@#for j in fins
        crho@{ j } phi@{ j } cthetay@{ j } cthetabgov@{ j } cthetaSGP@{ j }
        
@#endfor 

crhotarget
crhostarget
cbgovtargety

@#if DUM_constebeta
    constebeta
@#else
     consterr
@#endif

    @#if DUM_PDYDM
        constepdyalt
    @#endif


    csigmab



    csigmaK


;



@#if DUM_1980_2019
    ////////////////////////////////
   ////Steady state shares/ rates//
  ///////////////////////////////

    //GDP share targets
    ciy=0.1865;          //Investment share target 
    cnxinvy= 0.01379943; //net exports+inventories  
    cggy=0.2348;         //Government consumption plus investment

    //clabshare=0.4949; //Labor share

    //Steady state GDP growth and inflation
    ctrend=   0.319; %quarterly trend growth rate to GDP
    constepinf=0.79;

    //Intercept of inflation expectations measurement equation. 0.07=quarterly difference between growth rate of CPI and YED over 
    constinfl_5plus5=constepinf+0.04;

    //With observed inflation objective: quarterly difference between growth rate of CPI and YED over 1999-2019
    constinfl_CPIYED=constepinf+0.049809524;


    @#if DUM_constebeta
       constebeta=0.1453; //constebeta (if constebeta is set) 
    @#else
        consterr=0.531; //Steady state real interest rate calibration target (default)
    @#endif

    //Government sector//
    
    //Government debt-to-GDP ratio
    cbg2gdp=4*0.6619;       

    //Transfters-to-GDP ratio
    ctty=0.1631;

    //Steady state tax rates
    ctauc=0.2225;      //Consumption tax rate
    
    cscry=8.182/100;    //Firm-social-security-contribution-revenue-to-GDP ratio, pins down ctauwf
    cscey=7.767/100;    //Employee-social-security-contribution-revenue-to-GDP ratio, pins down ctauwh

    //Note: The reason I use the GDP revenue shares to pin down the firm and employee social security contributions 
    //(instead of calculating an implicit tax rate on wages, analogously to ctauc) is that the model model dramatically overstates the labor share, which equals 1-calfa (=about 80%) due to the assumption that 
    //Firms earn zero profits (while in the data it is about 50%...). Targetting the GDP revenue share should help the model to correctly capture the feedback from the total wage bill to government revenues. 
    //By contrast, using implict tax rates calculated from the data in combination with the too high labor share of the model would overstate the GDP share of social security revenues in the
    //model. This overstatement would then overstate the the effect of the wage bill on the deficit.
    //I also have a version of the model where I drop the assumption of zero firm profits in order to target the labor share (this approach implies to clandap>>cfc). Let me know if you are interested...


    cdtxy=0.1183;      //Direct-tax-revenue-to-GDP ratio (used to pin down capital tax rate ctauk).

    	
    //ctaun=cdtxy;       //Labor income tax
    ctauk=20.91/100;       //Capital income tax

    @#if DUM_PDYDM
        constepdyalt=0.255; //Sample mean of primary deficit variable I use (used to demean data)
    @#endif

    comega=0.0370;

    //Not used
    crhotarget=0.999*@{DUM_NODETREND};
    constepdy=1.029; //Not used (mean primary deficit standard series).

@#else
    ////////////////////////////////
   ////Steady state shares/ rates//
  ///////////////////////////////

    //GDP share targets
    ciy=0.1865;          //Investment share target 
    cnxinvy= 0.01379943; //net exports+inventories  
    cggy=0.2348;         //Government consumption plus investment

    //clabshare=0.4949; //Labor share

    //Steady state GDP growth and inflation
    ctrend=   0.319; %quarterly trend growth rate to GDP
    constepinf=0.8241;

    //Intercept of inflation expectations measurement equation. 0.07=quarterly difference between growth rate of CPI and YED over 
    constinfl_5plus5=constepinf+0.070;

    @#if DUM_constebeta
       constebeta=0.1453; //constebeta (if constebeta is set) 
    @#else
        consterr=0.595; //Steady state real interest rate calibration target (default)
    @#endif

    //Government sector//
    
    //Government debt-to-GDP ratio
    cbg2gdp=4*0.6619;       

    //Transfters-to-GDP ratio
    ctty=0.1631;

    //Steady state tax rates
    ctauc=0.2225;      //Consumption tax rate
    
    cscry=8.182/100;    //Firm-social-security-contribution-revenue-to-GDP ratio, pins down ctauwf
    cscey=7.767/100;    //Employee-social-security-contribution-revenue-to-GDP ratio, pins down ctauwh

    //Note: The reason I use the GDP revenue shares to pin down the firm and employee social security contributions 
    //(instead of calculating an implicit tax rate on wages, analogously to ctauc) is that the model model dramatically overstates the labor share, which equals 1-calfa (=about 80%) due to the assumption that 
    //Firms earn zero profits (while in the data it is about 50%...). Targetting the GDP revenue share should help the model to correctly capture the feedback from the total wage bill to government revenues. 
    //By contrast, using implict tax rates calculated from the data in combination with the too high labor share of the model would overstate the GDP share of social security revenues in the
    //model. This overstatement would then overstate the the effect of the wage bill on the deficit.
    //I also have a version of the model where I drop the assumption of zero firm profits in order to target the labor share (this approach implies to clandap>>cfc). Let me know if you are interested...


    cdtxy=0.1183;      //Direct-tax-revenue-to-GDP ratio (used to pin down capital tax rate ctauk).

    	
    //ctaun=cdtxy;       //Labor income tax
    ctauk=20.91/100;       //Capital income tax

    @#if DUM_PDYDM
        constepdyalt=0.255; //Sample mean of primary deficit variable I use (used to demean data)
    @#endif

    comega=0.0370;

    //Not used
    crhotarget=0.999*@{DUM_NODETREND};
    constepdy=1.029; //Not used (mean primary deficit standard series).

@#endif


% fixed parameters
ctou=0.025; %depreciation rate
clandaw=1.5; % SS markup labor market


cg=cggy+cnxinvy; 
curvp=10;
curvw=10;

% estimated parameters initialisation
ctrendw=ctrend;


constelab=0;





csigma=   1;%intertemporal elasticity of substitution CALIBRATED in some versions
cfc=      1.5761; 
cgy=      0.5145;


csadjcost=4.6642; %investment adjustment cost this is original SW mode
chabb=    0.6222;  % habit persistence 
cprobw=   0.8648;  %calvo parameter labor market
csigl=    2.0;    %CALIBRATED in some versions
cprobp=   0.8493; %calvo parameter goods market
cindw=    0.6234; %indexation labor market
cindp=    0.2923; %indexation goods market
czcap=    0.5356;%capital utilization
crpi=     1.9493; %Taylor rule reaction to inflation
crr=      0.7969;%Taylor rule interest rate smoothing
cry=      0.0999;%Taylor rule long run reaction to output gap
crdy=     0.2250;%Taylor rule short run reaction to output gap

crhoa=    0.9331;
crhob=    0.4609;
crhog=    0.9695;


crhoqs=   0.7281;
crhoms=   0.1780; 
crhopinf= 0.9146;
crhow=    0.9436;
cmap =    0.7195;
cmaw  =   0.8337;
crhopiobj=0.995;

crhogg  = 0;
crhott  = 0;
crhotauc= 0;
crhotaun= 0;
crhotauwh=0;
crhotauwf=0;
crhot=    0.95; 
crhostarget=0;

cthetaygg  = 0;
cthetaytt  = 0;
cthetaytauc= 0;
cthetaytaun= 0;
cthetaytauwh=0;
cthetaytauwf=0;
cthetayt  = 0;

cthetabgovgg  = 0;
cthetabgovtt  = 0;
cthetabgovtauc= 0;
cthetabgovtaun= 0;
cthetabgovtauwh=0;
cthetabgovtauwf=0;
cthetabgovt  = 0;

cthetaSGPgg=0;
cthetaSGPtt=0;
cthetaSGPtauc=0;
cthetaSGPtaun=0;
cthetaSGPtauwh=0;
cthetaSGPtauwf=0;
cthetaSGPt=0;



phigg   = 0;
phitt   = 0;
phitauc = 0;
phitaun = 0;
phitauwh= 0;
phitauwf= 0;
phit    = 0;

cbgovtargety=0.0000;

consteb=0;





cB2GDP_ea=cbg2gdp*100/4;
set_param_value('theta',theta);
theta_K=theta;

@#if DUM_est_csigmab
    csigmab=1;
@#else
    csigmab=0;
@#endif




@#if DUM_est_csigmaK
    csigmaK=1;

@#else
    csigmaK=0;
@#endif

cty=0;




calvoempl=0.77;

sd_etauc=0;
sd_etaun =0;
sd_etauwh=0; 
sd_etauwf=0; 
sd_ett   =0;
sd_etarget=0;
sd_egg=0;

sd_ea=0;
sd_eb=0; 
sd_eg=0;
sd_eqs=0; 
sd_em=0;
sd_epinf=0; 
sd_ew=0; 
sd_et=0; 
sd_e=0;
sd_epiobj=0;

if DUM_readestimatesIRF==1
         @#for h in OIShorizon
                sd_em_@{h}  =0.0001;
                crhoms_@{h} =0;      
         @#endfor


else
         @#for h in OIShorizon
                sd_em_@{h}  =0;
                crhoms_@{h} =0;      
         @#endfor
end






cthetabgovt=0.11;




model; 


#cgamma=ctrend/100+1;


@#if DUM_constebeta
    #cbeta=100/(constebeta+100); %discount factor
    #cbetabar=cbeta*cgamma^(-csigma);
    #crealrate=theta/cbetabar;
    #consterr=(crealrate-1)*100;
@#else 
    #crealrate=consterr/100+1;
    #cbetabar=theta/crealrate;
    #cbetabark=1/crealrate;
    #cbeta=cbetabar*cgamma^csigma;
    #constebeta=(1/cbeta-1)*100;
@#endif



#clandap=cfc;
#cik=(1-(1-ctou)/cgamma)*cgamma;
#cikbar=(1-(1-ctou)/cgamma);
#cky=ciy/cik;
#crk=(theta_K/cbetabar- 1)/(1-ctauk)+ctou;
#calfa=clandap/cfc*crk*cky;
#clabshare=1-calfa;
#cwly=clabshare-cscry;
#ctauwf=cscry/cwly;
#ctauwh=cscey/cwly;           
#cnprofy=1-clabshare-ctou*cky;
//#ctauk=(cdtxy-ctaun*cwly)/cnprofy;
#ctaun=(cdtxy-ctauk*cnprofy)/cwly;
#cw = (calfa^calfa*(1-calfa)^(1-calfa)/(clandap*crk^calfa))^(1/(1-calfa))*1/(1+ctauwf);
#clk=((1-calfa)/calfa)*(crk/(cw*(1+ctauwf)));
#ccy=1-cg-ciy;
#crkky=crk*cky;
#cwhlc=(1-ctauwh-ctaun)/(1+ctauc)*(1/clandaw)*(1-calfa)/calfa*crk*cky/ccy;
#cpie=constepinf/100+1;
#cr=cpie*crealrate;
#conster=(cr-1)*100;
#cpbgov=(comega*theta/(cr)+1-theta)/(1-theta/cr*(1-comega));
#crbgovncr=1;
//#crbgovncr=(1-(1-theta)*cpbgov)/theta;
#cmubgov=theta/(cr-theta*(1-comega));
#cpdy=-(crealrate/cgamma-1)*cbg2gdp;
#cdy =cbg2gdp*(1-1/(cpie*cgamma));
#cdya=cbg2gdp*((cpie*cgamma)^4-1)/((cpie*cgamma)^4+(cpie*cgamma)^3+(cpie*cgamma)^2+(cpie*cgamma)^1);
#cmawpr=crhow-cmaw;
#cmappr=crhopinf-cmap;

@#for j in fins
        @#if j == "gg" 
                    #cthetabgovsr@{ j }=-cthetabgov@{ j }*(1-crho@{ j });
        @#else
               @#if  j == "tt"
                    #cthetabgovsr@{ j }=-cthetabgov@{ j }*(1-crho@{ j });
               @#else
                     #cthetabgovsr@{ j }=cthetabgov@{ j }*(1-crho@{ j });
               @#endif
       
        @#endif
@#endfor


    

@#define DUM_PDYNDM=1-DUM_PDYDM
@#if DUM_PDYNDM
    #constepdyalt=cpdy*100;
    #constedy=cdy*100;
    #constedya=cdya*100;
@#endif

outputgap = y-yf;

%usmodel_stst;

% flexible economy

	      0*(1-calfa)*a + 1*a =  calfa*rkf+(1-calfa)*(wf+tauwff)  ; 
	      zcapf =  (1/(czcap/(1-czcap)))* rkf  ;
	      rkf =  (wf+tauwff)+labf-kf ;
	      kf =  kpf(-1)+zcapf-gamma;

          %consumption Euler equation
          
          xif=theta*(xif(+1)+rrf-csigma*gamma(+1)-b)-csigmab*(1-theta)*(bgovf/cbg2gdp+pbgovf*@{DUM_POSAMV});
          (1-chabb/cgamma)*xif=-csigma*cf+csigma*chabb/cgamma*(cf(-1)-gamma)+((csigma-1)*cwhlc)*labf-(1-chabb/cgamma)*taucf/(1+ctauc);
          pbgovf=(xif(+1)-csigma*gamma(+1)-xif)*theta/cr*(comega/cpbgov+1-comega)-b*theta/cpbgov+theta*(1-comega)/cr*pbgovf(+1)-(1-theta)/cpbgov*(csigmab*bgovf/cbg2gdp+(csigmab-1)*pbgovf*@{DUM_POSAMV}+xif);
	      xif=crbgovncr*theta*(xif(+1)+rbgovnf-csigma*gamma(+1)-b)-cmubgov*(1-comega)*crbgovncr*theta*(rbgovnf(+1)-rbgovnf)-(1-theta)*(csigmab*bgovf/cbg2gdp+(csigmab-1)*pbgovf*@{DUM_POSAMV});
          rbgovf-rbgovnf=(1-comega)/(cgamma*cpie)*(rbgovf(-1)-rbgovnf); 


          %aggregate resource constraint
	      yf = ccy*cf+ciy*invef+g+cggy*ggf  +  crkky*zcapf ;
          % aggregate production function
	      yf = cfc*( calfa*kf+(1-calfa)*labf + a );
          (1-csigma)/(1-chabb/cgamma)*(cf-chabb/cgamma*(cf(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*labf+csigl*labf=xif+wf-(tauwhf+taunf)/(1-ctauwh-ctaun);

          %accumulation of installed capital
          kpf =  (1-cikbar)*(kpf(-1) - gamma)+(cikbar)*invef + (cikbar)*(1+cbetabar*cgamma)*(cgamma^2*csadjcost)*qs ;

        %Fiscal policy
        nproff*cnprofy=yf-cwly*(tauwff+(1+ctauwf)*(wf+labf))-crkky*zcapf-ctou*cky*(kpf(-1)-gamma); 
        bgovf=crealrate/cgamma*(bgovf(-1)-gamma)+cbg2gdp*crealrate/cgamma*(rbgovf(-1))+cggy*ggf+ctty*ttf-(tf+cty*yf+cwly*((ctauwh+ctaun+ctauwf)*(wf+labf)+taunf+tauwhf+tauwff)+ccy*(ctauc*cf+taucf)+cnprofy*(ctauk*nproff+taukf));

        @#for j in fins
                @{ j }_trendf=(crho@{ j }*(@{ j }_trendf(-1))+@{DUM_FRZ}*(1-crho@{ j })*cthetay@{ j }*yf(-1)+cthetabgovsr@{ j }/cbg2gdp*(bgovf(-1)-@{ DUM_GOVDEBT}*cbg2gdp*yf(-1)-bgovtargetf)+(1-phi@{ j })*e@{ j }+phi@{ j }*e@{ j }(-1));
                @{ j }f=(@{ j }_trendf+(1-@{DUM_FRZ})*cthetay@{ j }*yf);
        @#endfor
        taukf=0;
        bgovtargetf=bgovtarget;
        

        pdyf=cggy*ggf-tf-ctty*ttf-cpdy*yf-cty*yf;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% STICKY PRICE - WAGE ECONOMY
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
          %marginal cost
	      mc =  calfa*rk+(1-calfa)*(w+tauwf) - 1*a - 0*(1-calfa)*a ;
          % capital utilization 
	      zcap =  (1/(czcap/(1-czcap)))* rk ;
          %rental rate of capital
	      rk =  w+lab-k+tauwf ;
          % Capital installed used one period later in production 
	      k =  kp(-1)+zcap-gamma;




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%CAPITAL and INVESTMENT FOCs for flexible and sticky price economies.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@#if DUM_POKA         
         pk = theta_K*(xi(+1)-csigma*gamma(+1))-xi + cbetabar*crk*(1-ctauk)*rk(1) +  cbetabar*(1-ctou)*pk(1)-(1-theta_K)*csigmaK*kp-cbetabar*(1-ctou)*crk*tauk(+1);
	     inve = (1/(1+cbetabar*cgamma))* (  inve(-1) + cbetabar*cgamma*inve(1)+(1/(cgamma^2*csadjcost))*pk - gamma + cbetabar*cgamma*gamma(+1)) +qs ;

	     invef = (1/(1+cbetabar*cgamma))* (  invef(-1) + cbetabar*cgamma*invef(1)+(1/(cgamma^2*csadjcost))*pkf - gamma + cbetabar*cgamma*gamma(+1)) +qs ;
         pkf = theta_K*(xif(+1)-csigma*gamma(+1))-xif + cbetabar*crk*(1-ctauk)*rkf(1) +  cbetabar*(1-ctou)*pkf(1)-(1-theta_K)*csigmaK*kpf-cbetabar*(1-ctou)*crk*taukf(+1);
@#else 
         pk = -(r-pinf(+1)-b) + cbetabark*crk*(1-ctauk)*rk(1) +  cbetabark*(1-ctou)*pk(1)-cbetabark*(1-ctou)*crk*tauk(+1);
	     inve = (1/(1+cbetabark*cgamma))* (  inve(-1) + cbetabark*cgamma*inve(1)+(1/(cgamma^2*csadjcost))*pk - gamma + cbetabark*cgamma*gamma(+1)) +qs ;
         pkf = -(rrf-b) + cbetabark*crk*(1-ctauk)*rkf(1) +  cbetabark*(1-ctou)*pkf(1)-cbetabark*(1-ctou)*crk*taukf(+1);
	     invef = (1/(1+cbetabark*cgamma))* (  invef(-1) + cbetabark*cgamma*invef(1)+(1/(cgamma^2*csadjcost))*pkf - gamma + cbetabark*cgamma*gamma(+1))+qs ;
@#endif
          
          %accumulation of installed capital
          kp =  (1-cikbar)*(kp(-1) - gamma)+cikbar*inve + cikbar*(1+cbetabar*cgamma)*cgamma^2*csadjcost*qs ;

         %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
         %%%FOCs related to HH demand for short and long-term gov BONDS.

         %Short term bond FOC (corresponds to consumption Euler equation)
          xi=theta*(xi(+1)+r-pinf(+1)-csigma*gamma(+1)-b)-csigmab*(1-theta)*(bgov/cbg2gdp+pbgov*@{DUM_POSAMV});

          %Bond ("shadow") price 
          pbgov=(xi(+1)-csigma*gamma(+1)-xi-pinf(+1))*theta/cr*(comega/cpbgov+1-comega)-b*theta/cpbgov+theta*(1-comega)/cr*pbgov(+1)-(1-theta)/cpbgov*(csigmab*bgov/cbg2gdp+(csigmab-1)*pbgov*@{DUM_POSAMV}+xi);

          %Interest rate on newly issued government bonds rbgovn 
	      xi=crbgovncr*theta*(xi(+1)+rbgovn-pinf(+1)-csigma*gamma(+1)-b)-cmubgov*(1-comega)*crbgovncr*theta*(rbgovn(+1)-rbgovn)-(1-theta)*(csigmab*bgov/cbg2gdp+(csigmab-1)*pbgov*@{DUM_POSAMV});

          %LOM of average interest rate on total outstanding bonds rbgov
          rbgov-rbgovn=(1-comega)/(cgamma*cpie)*(rbgov(-1)-rbgovn);

         %Consumption FOC
          (1-chabb/cgamma)*xi=-csigma*c+csigma*chabb/cgamma*(c(-1)-gamma)+((csigma-1)*cwhlc)*lab-(1-chabb/cgamma)*tauc/(1+ctauc);
        
          %aggregate resource constraint
	      y = ccy*c+ciy*inve+cggy*gg+g  +  1*crkky*zcap ;
          GDP=ccy*c+ciy*inve+cggy*gg+g;
          % aggregate production function
	      y = cfc*( calfa*k+(1-calfa)*lab +a );

          %Price Phillips Curve
          pinf-piobj =  (1/(1+cbetabar*cgamma*cindp)) * ( cbetabar*cgamma*(pinf(1)-piobj(1)) +cindp*(pinf(-1)-piobj)+ cbetabar*cgamma*cindp*(piobj(+1)-piobj )
               +((1-cprobp)*(1-cbetabar*cgamma*cprobp)/cprobp)/((clandap-1)*curvp+1)*(mc)  )  + spinf ; 

          %Wage Phillips Curve
	      w =  (1/(1+cbetabar*cgamma))*w(-1)
               +(cbetabar*cgamma/(1+cbetabar*cgamma))*w(1)
               +(cindw/(1+cbetabar*cgamma))*pinf(-1)
               -(1+cbetabar*cgamma*cindw)/(1+cbetabar*cgamma)*pinf
               +(1/(1+cbetabar*cgamma))* (cbetabar*cgamma*gamma(+1)-gamma-cbetabar*cgamma*gammaw(+1)+gammaw) 
               +(cbetabar*cgamma)/(1+cbetabar*cgamma)*pinf(1)
               - (cbetabar*cgamma*(1-cindw)/(1+cbetabar*cgamma))*piobj(+1)
               + (1-cindw)/(1+cbetabar*cgamma)*piobj
               +(1-cprobw)*(1-cbetabar*cgamma*cprobw)/((1+cbetabar*cgamma)*cprobw)*(1/((clandaw-1)*curvw+1))*
               (wh-w)         //(csigl*lab + (1/(1-chabb/cgamma))*c - ((chabb/cgamma)/(1-chabb/cgamma))*(c(-1)-gamma) -w) 
               + 1*sw ;

          % Non-reoptimized wages indexed to steady state inflation and actual TFP growth
          gammaw = gamma; 

          %FOC of HH w.r.t. labor supply to union
          (1-csigma)/(1-chabb/cgamma)*(c-chabb/cgamma*(c(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*lab+csigl*lab=xi+wh-(tauwh+taun)/(1-ctauwh-ctaun);

          %Monetary Policy Rule
         r -piobj= (1-DUM_ea)*( crpi*(1-crr)*(pinf-piobj) +cry*(1-crr)*(y-yf) +crdy*(y-yf-y(-1)+yf(-1))+crr*(r(-1)-piobj(-1)) +ms)-DUM_ea*MFG_ea
        @#for h in OIShorizon
                +ms_@{h}(-@{h})       
         @#endfor
        ;
         // Time varying inflation target

         @#if DUM_PIOBJ_UR
                piobj-piobj(-1)*0.999 = crhopiobj*(piobj(-1)-0.999*piobj(-2)) + epiobj;
         @#else
                piobj = crhopiobj*piobj(-1)+ epiobj;
        @#endif
        //Anticipated monetary policy shocks
        @#for h in OIShorizon
                ms_@{h} = crhoms_@{h}*ms_@{h}(-1) + em_@{h}; 
                
         @#endfor
        
        MS_0= ms+piobj-crr*piobj(-1)-(1-crr)*crpi*piobj
         @#for h in OIShorizon
                +ms_@{h}(-@{h})       
         @#endfor
        ;
        
         @#for h in OIShorizon
                MS_@{h} = MS_0(@{h});                 
         @#endfor




          %%%%%%%%%%%%%%%%%%
          %SHOCK PROCESSES%%
          %%%%%%%%%%%%%%%%%%
	      a = crhoa*a(-1)  + ea;
	      b = crhob*b(-1) + eb;
          g = crhog*(g(-1)) + eg + cgy*ea;
	      qs = crhoqs*qs(-1) + eqs;
	      ms = crhoms*ms(-1) + em;
	      spinf = crhopinf*spinf(-1) + epinfma - cmappr*epinfma(-1);
	          epinfma=epinf;
	      sw = crhow*sw(-1) + ewma - cmawpr*ewma(-1) ;
	          ewma=ew; 

         %TFP growth rate.Currently not used. Could be shock to the growth rate of TFP with permanent effects on the level of output etc. 
         gamma=0;


        %%%%%%%%%%%%%%%%
        %FISCAL POLICY%%
        %%%%%%%%%%%%%%%%

        %Total profits
        nprof*cnprofy=y-cwly*(tauwf+(1+ctauwf)*(w+lab))-crkky*zcap-ctou*cky*(kp(-1)-gamma);

        %Government budget constraint
        bgov=crealrate/cgamma*(bgov(-1)-gamma)+cbg2gdp*crealrate/cgamma*(rbgov(-1)-pinf)+cggy*gg+ctty*tt-(t+cty*y+cwly*((ctauwh+ctaun+ctauwf)*(w+lab)+tauwh+taun+tauwf)+ccy*(ctauc*c+tauc)+cnprofy*(ctauk*nprof+tauk));
        
%Fiscal rules
@#for j in fins
        @{ j }_trend=(crho@{ j }*(@{ j }_trend(-1))+@{DUM_FRZ}*(1-crho@{ j })*cthetay@{ j }*y(-1)+cthetabgovsr@{ j }/cbg2gdp*(bgov(-1)-@{ DUM_GOVDEBT}*cbg2gdp*y(-1)-bgovtarget)+(1-phi@{ j })*e@{ j }+phi@{ j }*e@{ j }(-1));
        @{ j }=(@{ j }_trend+(1-@{DUM_FRZ})*cthetay@{ j }*y);
@#endfor
        tauk=0;
        %Primary deficit (for measurement equation)
        pdy=cggy*gg+ctty*tt-(t+cty*y+cwly*((ctauwh+ctaun+ctauwf)*(w+lab)+tauwh+taun+tauwf)+ccy*(ctauc*c+tauc)+cnprofy*(ctauk*nprof+tauk))-cpdy*y;



        %Not used 
        bgovtarget=0; 
        SGP=crhotarget*SGP(-1)+SGP_shock;
        SGP_shock=crhostarget*SGP_shock+etarget;


pinf_yoy=pinf+pinf(-1)+pinf(-2)+pinf(-3);
pinf_annual=4*pinf;
r_annual=r*4;


  /////////////////////////
 //Measurement equations//
/////////////////////////
dYER_ea=(y-y(-1)+gamma)*cgamma+ctrend;
dPCRYED_ea=(c-c(-1)+gamma)+ctrend;
dITPRYED_ea=(inve-inve(-1)+gamma)+ctrend;
dYED_ea = 1*(pinf) + constepinf;
STIEONIA_ea =    4*((r) + conster);

@#if DUM_ctrendw
    dWYED_ea=(w-w(-1)+(tauwf-tauwf(-1))/(1-ctauwf)+gamma)+ctrendw;
@#else
    dWYED_ea=(w-w(-1)+(tauwf-tauwf(-1))/(1-ctauwf)+gamma)+ctrend;
@#endif
//dEMPL_ea = EMPL_dev_ea-EMPL_dev_ea(-1)  + constelab ;
EMPL_dev_ea- EMPL_dev_ea(-1)= cbetabar*cgamma*(EMPL_dev_ea(+1)- EMPL_dev_ea)
            +(1-calvoempl)*(1-calvoempl*cbetabar*cgamma)/calvoempl*(lab-EMPL_dev_ea)  ; // see SW JEEA2003

EMPL_ea=EMPL_dev_ea+ constelab;

//Measurement equations OIS. OISINST_ not used as observable. 
 @#for h in OIShorizon
    OISINST_@{h}=4*(conster+r(@{h}));
    
    OIS_@{h}=4*(conster+1/@{h}*(
        @#for i in 1:h
                +r(@{i})
        @#endfor
                ))
;
    @#endfor

dCPI_5y5y_ea/4=PCINFL_5plus5+constinfl_5plus5;
PCINFL_5plus5=1/20*(
    @#for i in 21:40
            +pinf(@{i})
    @#endfor
            ); 

dCPI_5y5y_ea_b=dCPI_5y5y_ea;

//PDYalt_ea=pdy+constepdyalt;

DYalt_ea=constedy+bgov-1/(cpie*cgamma)*(bgov(-1)+cbg2gdp*((cgamma*cpie-1)*y-(gamma+pinf)));

/*
(DY_annual-constedya)*((cpie*cgamma)^3+(cpie*cgamma)^2+(cpie*cgamma)^1+1)^2
=((cpie*cgamma)^3+(cpie*cgamma)^2+(cpie*cgamma)^1+1)*(((cpie*cgamma)^3)*bgov-bgov(-4)/(cpie*cgamma)+cbg2gdp/(cpie*cgamma)*(pinf(-3)+gamma(-3)))
+cbg2gdp*(
 -((cpie*cgamma)^6-(cpie*cgamma)^2)   *y
 -((cpie*cgamma)^5-(cpie*cgamma)^1)   *y(-1)
 -((cpie*cgamma)^4-(cpie*cgamma)^0)   *y(-2)
 -((cpie*cgamma)^3-(cpie*cgamma)^(-1))*y(-3)
+((cpie*cgamma)^5+(cpie*cgamma)^4+(cpie*cgamma)^3+(cpie*cgamma)^2)*(pinf+gamma)
+((cpie*cgamma)^4+(cpie*cgamma)^3+(cpie*cgamma)^2+(cpie*cgamma)^1)*(pinf(-1)+gamma(-1))
+((cpie*cgamma)^3+(cpie*cgamma)^2+(cpie*cgamma)^1+(cpie*cgamma)^0)*(pinf(-2)+gamma(-1)));
*/
/*
DY_annual2=100*(PINF*PINF(-1)*PINF(-2)*GAMMA*GAMMA(-1)*GAMMA(-2)*BGOV-BGOV(-4)/(PINF(-3)*GAMMA(-3)))/(PINF*PINF(-1)*PINF(-2)*GAMMA*GAMMA(-1)*GAMMA(-2)*Y+PINF(-1)*PINF(-2)*GAMMA(-1)*GAMMA(-2)*Y(-1)+PINF(-2)*GAMMA(-2)*Y(-2)+Y(-3));
(PINF-cpie)/cpie=pinf/100;
(GAMMA-cgamma)/cgamma=gamma/100; 
BGOV-cbg2gdp=bgov/100;
Y=y/100+1;
*/


//Measurement equations unused observables. 

bgovmv=bgov/cbg2gdp+consteb;






    





end; % model

initval;
dYER_ea=ctrend;




    dPCRYED_ea=ctrend;
    dITPRYED_ea=ctrend;
    dWYED_ea=ctrendw;







dYED_ea = constepinf;
STIEONIA_ea = ((constepinf/100+1)*(consterr/100+1)-1)*400;



/*
PINF=1+constepinf/100;
GAMMA=1+ctrend/100;
Y=1;
BGOV=cbg2gdp;
*/

end; 



if DUM_readestimatesIRF==1
      

        shocks;

        @#for k in shocks
                var @{ k };
                stderr (sd_@{ k });
        @#endfor

        @#for h in OIShorizon

            var em_@{h};
            stderr (sd_em_@{h});
 
        @#endfor

        end;


else

        shocks;

        @#for k in shocks
                var @{ k };
                stderr (sd_@{ k });
        @#endfor

        end;

end





resid;
steady;
write_latex_original_model;



